Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_UIOPEndpointSequence_var Class Reference

`#include <uiop_endpoints.h>`

List of all members.

## Public Methods
| TAO_UIOPEndpointSequence_var (void)
| TAO_UIOPEndpointSequence_var (TAO_UIOPEndpointSequence *)
| TAO_UIOPEndpointSequence_var (const TAO_UIOPEndpointSequence_var &)
| ~TAO_UIOPEndpointSequence_var (void)
TAO_UIOPEndpointSequence_var & | operator= (TAO_UIOPEndpointSequence *)
TAO_UIOPEndpointSequence_var & | operator= (const TAO_UIOPEndpointSequence_var &)
TAO_UIOPEndpointSequence * | operator-> (void)
const TAO_UIOPEndpointSequence * | operator-> (void) const
| operator const TAO_UIOPEndpointSequence & () const
| operator TAO_UIOPEndpointSequence & ()
| operator TAO_UIOPEndpointSequence & () const
| operator TAO_UIOPEndpointSequence *& ()
TAO_UIOP_Endpoint_Info & | operator[] (CORBA::ULong index)
const TAO_UIOPEndpointSequence & | in (void) const
TAO_UIOPEndpointSequence & | inout (void)
TAO_UIOPEndpointSequence *& | out (void)
TAO_UIOPEndpointSequence * | _retn (void)
TAO_UIOPEndpointSequence * | ptr (void) const
## Private Attributes
TAO_UIOPEndpointSequence * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE TAO_UIOPEndpointSequence_var::TAO_UIOPEndpointSequence_var | ( | void |  | ) |

ACE_INLINE TAO_UIOPEndpointSequence_var::TAO_UIOPEndpointSequence_var | ( | TAO_UIOPEndpointSequence * |  | ) |

TAO_UIOPEndpointSequence_var::TAO_UIOPEndpointSequence_var | ( | const TAO_UIOPEndpointSequence_var & |  | ) |

ACE_INLINE TAO_UIOPEndpointSequence_var::~TAO_UIOPEndpointSequence_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE::TAO_UIOPEndpointSequence * TAO_UIOPEndpointSequence_var::_retn | ( | void |  | ) |

ACE_INLINE const ::TAO_UIOPEndpointSequence & TAO_UIOPEndpointSequence_var::in | ( | void |  | ) | const

ACE_INLINE::TAO_UIOPEndpointSequence & TAO_UIOPEndpointSequence_var::inout | ( | void |  | ) |

TAO_UIOPEndpointSequence_var::operator const TAO_UIOPEndpointSequence & | ( |  | ) |

TAO_UIOPEndpointSequence_var::operator TAO_UIOPEndpointSequence & | ( |  | ) |

TAO_UIOPEndpointSequence_var::operator TAO_UIOPEndpointSequence & | ( |  | ) |

TAO_UIOPEndpointSequence_var::operator TAO_UIOPEndpointSequence *& | ( |  | ) |

ACE_INLINE const ::TAO_UIOPEndpointSequence * TAO_UIOPEndpointSequence_var::operator-> | ( | void |  | ) | const

ACE_INLINE::TAO_UIOPEndpointSequence * TAO_UIOPEndpointSequence_var::operator-> | ( | void |  | ) |

TAO_UIOPEndpointSequence_var& TAO_UIOPEndpointSequence_var::operator= | ( | const TAO_UIOPEndpointSequence_var & |  | ) |

ACE_INLINE TAO_UIOPEndpointSequence_var & TAO_UIOPEndpointSequence_var::operator= | ( | TAO_UIOPEndpointSequence * |  | ) |

ACE_INLINE TAO_UIOP_Endpoint_Info & TAO_UIOPEndpointSequence_var::operator[] | ( | CORBA::ULong | index | ) |

ACE_INLINE::TAO_UIOPEndpointSequence *& TAO_UIOPEndpointSequence_var::out | ( | void |  | ) |

ACE_INLINE::TAO_UIOPEndpointSequence * TAO_UIOPEndpointSequence_var::ptr | ( | void |  | ) | const

## Member Data Documentation

TAO_UIOPEndpointSequence* TAO_UIOPEndpointSequence_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- uiop_endpoints.h
- uiop_endpoints.i